Subject: [Editorial Errata Reported] RFC4762 (4834)

From: RFC Errata System <[email-masked]>
Date: Tue, 18 Oct 2016 05:22:29 -0700 (PDT)

The following errata report has been submitted for RFC4762,
"Virtual Private LAN Service (VPLS) Using Label Distribution Protocol (LDP) Signaling".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4762&eid=4834

--------------------------------------
Type: Editorial
Reported by: Prakash Ragunathan <[email-masked]>

Section: 9.1

Original Text
-------------
For
   example, if a customer site A, is shut down, eventually the other PEs
   should unlearn A's MAC address.

Corrected Text
--------------
For
   example, if customer site A1, is shut down, eventually the other PEs
   should unlearn A1's MAC address.

Notes
-----
customer site name is not mentioned in example. Naming the site (A1) gives clear info than just stating "customer site A".

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4762 (draft-ietf-l2vpn-vpls-ldp-09)
--------------------------------------
Title               : Virtual Private LAN Service (VPLS) Using Label Distribution Protocol (LDP) Signaling
Publication Date    : January 2007
Author(s)           : M. Lasserre, Ed., V. Kompella, Ed.
Category            : PROPOSED STANDARD
Source              : Layer 2 Virtual Private Networks INT
Area                : Internet
Stream              : IETF
Verifying Party     : IESG

---

From: Loa Andersson <[email-masked]>
Date: Wed, 19 Oct 2016 10:24:44 +0800

Folks,

When I started to look at this it looked rather simple, but the
statement section 9.1 does not (necessarily) relate to figure 2.

I wonder if the first paragraph in section 9.1 should be tweaked this
way:

OLD
    PEs that learn remote MAC addresses SHOULD have an aging mechanism to
    remove unused entries associated with a PW label.  This is important
    both for conservation of memory and for administrative purposes.  For
    example, if a customer site A, is shut down, eventually the other PEs
    should unlearn A's MAC address.
NEW
    PEs that learn remote MAC addresses SHOULD have an aging mechanism to
    remove unused entries associated with a PW label.  This is important
    both for conservation of memory and for administrative purposes.  For
    example, if a customer site S, is shut down, eventually the other PEs
    should unlearn the MAC address(es) of this site.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Prakash Ragunathan <[email-masked]>
Date: Thu, 20 Oct 2016 19:29:08 +0530

Hi Loa,

The changed looked really fine. This will avoid any unnecessary confusion.
I found similar confusing statements in the same RFC. Will send it as
separate requests.

Thanks,
Prakash R.

On Wed, Oct 19, 2016 at 7:54 AM, Loa Andersson <[email-masked]> wrote:

>> customer site name is not mentioned in example. Naming the site (A1)
>> gives clear info than just stating "customer site A".
>>
>> Instructions:
>> -------------